%define dist TermReadKey
Name: perl-Term-ReadKey
Version: 2.21
Release: alt3

Summary: A perl module for simple terminal control
License: distributable
Group: Development/Perl

Url: %CPAN %dist
Source: %dist-%version.tar.gz

# Automatically added by buildreq on Fri Jul 02 2004
BuildRequires: perl-devel

%description
Term::ReadKey is a compiled perl module dedicated to providing simple
control over terminal driver modes (cbreak, raw, cooked, etc.,)
support for non-blocking reads and some generalized handy functions
for working with terminals.

%prep
%setup -q -n %dist-%version

%build
%if "%([ -c /dev/tty ] || echo no)" == "no"
%def_without test
%endif
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/Term*
%perl_vendor_autolib/Term*
%perl_vendor_man3dir/Term*

%changelog
* Fri Jul 02 2004 Alexey Tourbin <at@altlinux.ru> 2.21-alt3
- specfile cleanup

* Thu Sep 11 2003 Alexey Tourbin <at@altlinux.ru> 2.21-alt2
- skip test when /dev/tty does not exist

* Thu Oct 31 2002 Stanislav Ievlev <inger@altlinux.ru> 2.21-alt1
- Initial Build
